#include <iostream>
#include <bits/stdc++.h>
using namespace std;
int main(){
    int n,k,t,m;
    int ta=0;
    int o=0;
    int i=0;
    cin >> n;
    cin >> k;
long int a[100];
long int b[100];
for(int i=0;i<n;i++){
    cin >> a[i];
}
sort(a, a+n);
i=0;
while(i<=n)
{
ta=1;
   for(int l=1;l<n;l++)
   {
       if(a[i]!=a[i+l])
       {
          m=l;
           break;
       }
       else
       {
          ta++;
       }
       
   }
   if (ta>=k)
       {
           o=o+1;
           b[o]=a[i];
       }
    i=i+m;
}
cout << o << endl;
for(int i=1;i<o+1;i++)
{
    cout << b[i] << " ";
}
return 0;     
}